/*
    Fichier convb64.c
    Auteur Bernard Chardonneau

    Logiciel libre, droits d'utilisation prciss en franais
    dans le fichier : licence.fr

    Traductions des droits d'utilisation dans les fichiers :
    licence.de , licence.en , licence.es , licence.it
    licence.nl , licence.pt , licence.eo , licence.eo-utf


    Petit programme destin  convertir en clair des chaines
    de caractres encodes base64 ou inversement.

    Cet utilitaire de conversion pourra notamment faciliter
    la mise au point d'un fichier d'authentification SMTP.
*/


#include <stdio.h>
#include <string.h>
#include "base64.h"


int main ()
{
    char message [160], resultat [160];


    while (fgets (message, sizeof (message), stdin))
    {
        message [strlen (message) - 1] = '\0';

        if (memcmp (message, "b64 ", 4) == 0)
        {
            encode64 (message + 4, resultat, strlen (message + 4));
            puts (resultat);
        }
        else
        {
            decode64 (message);
            puts (message);
        }
    }
}
